Subject: Re: [PATCH] cxl: sparse: add __iomem annotations in vphb.c

From: Andrew Donnellan <[email-masked]>
Date: Tue, 8 Dec 2015 17:30:18 +1100

Finally looking at this patch again for the first time in a couple of 
months...

On 04/11/15 17:17, Andrew Donnellan wrote:
> On 03/11/15 20:09, Michael Ellerman wrote:
>> Part of your problem is you're storing afu->crs_len which is not
>> __iomem in
>> cfg_data which is, and so that's leading to some of your casts.
>>
>> I don't really see why you're using cfg_data like that, you have the
>> afu in
>> phb->private_data. But maybe cfg_data needs to hold that value for
>> some other
>> code I'm not seeing.
>
> I can't see any obvious reason why we need to use cfg_data either.

Ian/Mikey - do you happen to know why we're using cfg_data? I've taken 
another look and I can't see anything obvious.

-- 
Andrew Donnellan              Software Engineer, OzLabs
[email-masked]  Australia Development Lab, Canberra
+61 2 6201 8874 (work)        IBM Australia Limited